%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		openstack-swift-plugin-swift3
Version:	1.12.0
Release:	2%{?dist}
Summary:	The swift3 plugin for Openstack Swift

License:	ASL 2.0
URL:		https://github.com/openstack/swift3
Source0:	https://tarballs.openstack.org/swift3/swift3-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=1.12
#
Patch0001: 0001-Add-new-tox-environment-with-Swift-master-branch.patch

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	openstack-swift >= 2.1.0
Requires:   python-lxml
Requires:   python-requests

%description
The swift3 plugin permits accessing Openstack Swift via the
Amazon S3 API.

%prep
%setup -q -n swift3-%{upstream_version}

%patch0001 -p1

# Let RPM handle the dependencies
rm -f requirements.txt

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%{python2_sitelib}/swift3-*.egg-info/
%{python2_sitelib}/swift3/
%doc AUTHORS README.md

%changelog
* Mon Oct 30 2017 Steve Linabery <slinaber@redhat.com> 1.12.0-2
- Update to 1.12

* Thu Sep 21 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-10
- Remove some unused fake responses
- Add optional item, log_name into proxy-server.conf-sample
- Use Swift's get_logger

* Wed Sep 06 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-9
- Add more validation for auth_uri

* Mon Aug 21 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-8
- Ignore md5sum header during multi-part upload init
- Update pipeline ordering in README.md
- Add support for upper-constraints.txt
- Blacklist babel==2.4.0 in test-requirements
- Enable H203 to prevent assertIs(None, ...) regressions
- Prohibit certain versions of requests in test-requirements.txt
- Revert "Fixing whitespace issues with setup.cfg"

* Thu Jun 15 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-7
- Having the spec file remove the requirements.txt file (rhbz#1432612)

* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 1.11.0-6
- Using assertIsNone() instead of assertEqual(None)

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 1.11.0-5
- Rename GOOD_RESPONSE to be version-specific
- Add check_signature function to swift3.auth_details
- Add support for v3 Keystone responses
- Prohibit certain versions of requests in test-requirements.txt

* Wed Mar 15 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-4
- Stop using client headers for cross-middleware communication
- Let s3compat repo manage the ceph-tests requirements
- Bump minimum Swift requirement to Ocata stable
- Update how we set up Keystone
- Only make one request to Keystone per S3 request
- Fix far-future date handling
- Pass run_test.sh arguments to run_ceph_tests.py
- Relax bucket creation schema

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1.11.0-3
- Move min segment size configuration to swift3
- Exclude "scratch" in tox flake8
- Properly strip headers for request signing
- Fix "Handler" typo in acl_handlers.py
- Put nested virtualenv in $TMP
- Pass arguments to nosetests in run_test.sh
- Shorten ceph s3-tests tox environment names
- Add ceph-s3-tests tox env
- Add new tox environment with Swift master branch

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1.11.0-2
- Unpin python-openstackclient in test-requirements.txt
- Fix error message
- Small updates for readme
- Add small change for debugging
- Add http_timeout config option
- Remove version from setup.cfg
- Stop using email.utils.mktime_tz
- Add delay_auth_decision config option
- Raise error if neither auth_uri nor auth_host configured
- Allow IPv6 addresses in auth_host config option

* Wed Sep 14 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.11.0-1
- Upstream 1.11.0
